Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request DELETE \ --url https://api.metal.ai/v1/keys/{key} \ --header 'x-metal-api-key: <api-key>' \ --header 'x-metal-client-id: <api-key>'
import requests url = "https://api.metal.ai/v1/keys/{key}" headers = { "x-metal-client-id": "<api-key>", "x-metal-api-key": "<api-key>" } response = requests.delete(url, headers=headers) print(response.text)
const options = { method: 'DELETE', headers: {'x-metal-client-id': '<api-key>', 'x-metal-api-key': '<api-key>'} }; fetch('https://api.metal.ai/v1/keys/{key}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.metal.ai/v1/keys/{key}" req, _ := http.NewRequest("DELETE", url, nil) req.Header.Add("x-metal-client-id", "<api-key>") req.Header.Add("x-metal-api-key", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
{ "data": { "id": "<string>" } }
{ "error": "invalid api key or clientId" }
{ "error": "not found" }
Revokes an API key immediately. The key stops working within a short cache window.
The Client ID of your API key.
The secret value of your API key.
The id of the API key to delete.
The key was deleted.
Show child attributes
Related topics